<template>
    <button v-bind="$attrs" class="
            text-white 
            focus:outline-none 
            focus:ring-4 
            focus:ring-blue-300 
            font-medium 
            rounded-full 
            text-sm px-5 py-2.5 
            text-center
            disabled:opacity-60 
            disabled:cursor-not-allowed
            " :type="type" @click="$emit('click')">
        <slot></slot>
    </button>
</template>

<script>
export default {
    name: 'v-button',
    props: {
        type: {
            type: String,
            default: 'button'
        }
    }
}
</script>
